export const doApi = async(_searchQ) => {
  let url = `https://v2.jokeapi.dev/joke/Any?contains=${_searchQ}`;
  let resp = await axios.get(url);
  console.log(resp.data);
  updateInfo(resp.data)
}

const updateInfo = (_info) => {
  document.querySelector("#id_category").innerHTML = _info.category;
  if(_info.setup){
    document.querySelector("#id_info").innerHTML = `
    <p class="h4" >Setup: ${_info.setup}</p>
    <p class="h5">Delivery: ${_info.delivery}</p>
    `
  }
  else if(_info.joke){
    document.querySelector("#id_info").innerHTML = `
    <p class="h4" >Joke: ${_info.joke}</p>
    `
  }
}